idb安装以及遇到的问题

2017-09-13 12:22:17来源:CSDN作者:manmanking人点击

分享

调试神器安装 

在一台新机器上安装idb时,出现了问题,记录一下,把这个坑填了,望后来者,可以直接越过

idb的各种功能正在使用中,积累的技巧会持续更新


idb 安装步骤可以按照这个网址,讲解的很清楚http://www.idbtool.com/installation/

我的安装环境

$ruby -v

ruby 2.1.10p492 (2016-04-01 revision 54464) [x86_64-darwin16.0]

macOS 10.12.5

在执行 idb的时候出错了,问题如下

kade:~ manman$ idb
/Users/manman/.rvm/gems/ruby-2.4.1/gems/plist4r-1.2.2/lib/plist4r/mixin/data_methods.rb:13: warning: constant ::Fixnum is deprecated
/Users/manman/.rvm/gems/ruby-2.4.1/gems/plist4r-1.2.2/lib/plist4r/mixin/data_methods.rb:16: warning: constant ::Fixnum is deprecated
/Users/manman/.rvm/gems/ruby-2.4.1/gems/plist4r-1.2.2/lib/plist4r/mixin/data_methods.rb:20: warning: constant ::Fixnum is deprecated
/Users/manman/.rvm/rubies/ruby-2.4.1/lib/ruby/site_ruby/2.4.0/rubygems/core_ext/kernel_require.rb:55:in require': cannot load such file -- pry (LoadError) from /Users/manman/.rvm/rubies/ruby-2.4.1/lib/ruby/site_ruby/2.4.0/rubygems/core_ext/kernel_require.rb:55:inrequire'
from /Users/manman/.rvm/gems/ruby-2.4.1/gems/idb-2.10.0/lib/lib/ios10_application_state_db_wrapper.rb:3:in <top (required)>' from /Users/manman/.rvm/gems/ruby-2.4.1/gems/idb-2.10.0/lib/lib/app.rb:5:inrequire_relative'
from /Users/manman/.rvm/gems/ruby-2.4.1/gems/idb-2.10.0/lib/lib/app.rb:5:in <top (required)>' from /Users/manman/.rvm/gems/ruby-2.4.1/gems/idb-2.10.0/lib/gui/app_details_group_box.rb:1:inrequire_relative'
from /Users/manman/.rvm/gems/ruby-2.4.1/gems/idb-2.10.0/lib/gui/app_details_group_box.rb:1:in <top (required)>' from /Users/manman/.rvm/gems/ruby-2.4.1/gems/idb-2.10.0/lib/idb.rb:9:inrequire_relative'
from /Users/manman/.rvm/gems/ruby-2.4.1/gems/idb-2.10.0/lib/idb.rb:9:in <top (required)>' from /Users/manman/.rvm/rubies/ruby-2.4.1/lib/ruby/site_ruby/2.4.0/rubygems/core_ext/kernel_require.rb:55:inrequire'
from /Users/manman/.rvm/rubies/ruby-2.4.1/lib/ruby/site_ruby/2.4.0/rubygems/core_ext/kernel_require.rb:55:in require' from /Users/manman/.rvm/gems/ruby-2.4.1/gems/idb-2.10.0/bin/idb:2:in<top (required)>'
from /Users/manman/.rvm/gems/ruby-2.4.1/bin/idb:23:in load' from /Users/manman/.rvm/gems/ruby-2.4.1/bin/idb:23:in

'
from /Users/manman/.rvm/gems/ruby-2.4.1/bin/ruby_executable_hooks:15:in eval' from /Users/manman/.rvm/gems/ruby-2.4.1/bin/ruby_executable_hooks:15:in'


检测安装步骤,检查插件是否安装正确

找了一个问题安装插件少了bundler 

gem install bundler 

然后在执行idb ,运行起来了

也可以查看下面地址,这是我在GitHub提出的问题

https://github.com/dmayer/idb/issues/93#event-1246442342




最新文章

123

最新摄影

微信扫一扫

第七城市微信公众平台